# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Build.pm) perl(Capture/Tiny.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(Number/Bytes/Human.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Sereal.pm) perl(Test/Alien/Build.pm) perl(Test/Script.pm) perl(Test2/Plugin/FauxHomeDir.pm) perl(Test2/V0.pm) perl(URI.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name Alien-Build-Plugin-Fetch-Cache
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Alien::Build plugin to cache files downloaded from the internet
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Build::Plugin::Fetch::Cache

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a the Alien::Build manpage plugin that caches the files that you download from
the internet, so that you only have to download them once.  Handy when doing
development of an the Alien manpage distribution.  Not a particularly smart cache.
Doesn't ignore or expire old entries.  You have to remove them yourself.
They are stored in `~/.alienbuild/plugin_fetch_cache'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes author.yml README LICENSE
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

